using BO.AppServer.Data;
using BO.AppServer.Data.Entity;
using BO.AppServer.Metadata.Dto;
using Quadarax.Foundation.Core.Data.Interface.Entity;

namespace BO.AppServer.Business.Mapper
{
    public class MapperKeyScalarDate: Quadarax.Foundation.Core.Data.Mapper.Mapper<MapperKeyScalarDate>
    {
        public MapperKeyScalarDate()
        {
            //DefineBiDirection<Statistic,StatisticsDto>();
        }
        public void DefineBiDirection<TDao, TDto>() 
            where TDao : class, IDao<KeyScalarDate>, new()
            where TDto : class, IDto, new()
        {
            DefineBiDirection<TDao, TDto, KeyScalarDate>();
        }
    }
}
